Bug 113446 - New port: textproc/py-libtre
Summary: New port: textproc/py-libtre
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-07 11:50 UTC by bf
Modified: 2007-12-31 21:51 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2007-06-07 11:50:00 UTC
Make the python interface to textproc/libtre available in the ports system.  It was bundled with the rest of libtre, but had previously been neglected.  This version is dependent upon some form of the update proposed in PR ports/113441 being committed.



# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/usr/ports/textproc/py-libtre
#	/usr/ports/textproc/py-libtre/Makefile
#	/usr/ports/textproc/py-libtre/pkg-descr
#	/usr/ports/textproc/py-libtre/distinfo
#
echo c - /usr/ports/textproc/py-libtre
mkdir -p /usr/ports/textproc/py-libtre > /dev/null 2>&1
echo x - /usr/ports/textproc/py-libtre/Makefile
sed 's/^X//' >/usr/ports/textproc/py-libtre/Makefile << 'END-of-/usr/ports/textproc/py-libtre/Makefile'
X
X# Ports collection makefile for:	py-libtre
X# Date created:				6 June 2007
X# Whom:					bf
X#
X# $FreeBSD$
X#
X
XPORTNAME=	libtre
XPORTVERSION=	0.7.5
XCATEGORIES=	textproc python
XMASTER_SITES=	http://laurikari.net/tre/
XPKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
XDISTNAME=	tre-${PORTVERSION}
X
XMAINTAINER=	bf2006a@yahoo.com
XCOMMENT=	Python interface for the tre regular expressions library
X
XLIB_DEPENDS=	tre.6:${PORTSDIR}/textproc/libtre
X
XUSE_BZIP2=	yes
XUSE_PYTHON=	yes
XUSE_PYDISTUTILS=	yes
XBUILD_WRKSRC=	${WRKSRC}/python
XINSTALL_WRKSRC=	${WRKSRC}/python
XCFLAGS+=	-I${LOCALBASE}/include/ -L${LOCALBASE}/lib/
XPLIST_FILES=	%%PYTHON_SITELIBDIR%%/tre.so
X
X.if defined(WITH_OPTIMIZED_CFLAGS)
XCFLAGS+=	-Wuninitialized -ffast-math -finline-functions \
X		-fomit-frame-pointer -fexpensive-optimizations \
X		-fforce-mem -fforce-addr -O3
X.endif
X.include <bsd.port.mk>
END-of-/usr/ports/textproc/py-libtre/Makefile
echo x - /usr/ports/textproc/py-libtre/pkg-descr
sed 's/^X//' >/usr/ports/textproc/py-libtre/pkg-descr << 'END-of-/usr/ports/textproc/py-libtre/pkg-descr'
XLibtre is an attempt to create a lightweight, robust, and efficient fully
XPOSIX compliant regexp matching library. There is still some work left, but
Xthe results so far are promising.
X
XAt the core of Libtre is a new algorithm for regular expression matching with
Xsubmatch addressing. The algorithm uses linear worst-case time in the length
Xof the text being searched, and quadratic worst-case time in the length of the
Xused regular expression. In other words, the time complexity of the algorithm
Xis O(M2N), where M is the length of the regular expression and N is the length
Xof the text. The used space is also quadratic on the length of the regex, but
Xdoes not depend on the searched string. This quadratic behaviour occurs only
Xon pathological cases which are probably very rare in practice.
X
XWWW: http://laurikari.net/tre/
END-of-/usr/ports/textproc/py-libtre/pkg-descr
echo x - /usr/ports/textproc/py-libtre/distinfo
sed 's/^X//' >/usr/ports/textproc/py-libtre/distinfo << 'END-of-/usr/ports/textproc/py-libtre/distinfo'
XMD5 (tre-0.7.5.tar.bz2) = e72e5c94008865cf720992a0b25d6e89
XSHA256 (tre-0.7.5.tar.bz2) = 030f25e6e4c1714df013105494bc5e24b3e0acc65887158a52a03efd8e0759aa
XSIZE (tre-0.7.5.tar.bz2) = 396346
END-of-/usr/ports/textproc/py-libtre/distinfo
exit
Comment 1 Edwin Groothuis freebsd_committer 2007-06-07 11:50:12 UTC
Class Changed
From-To: update->change-request

Fix category (new ports should be change-requests)
Comment 2 Edwin Groothuis freebsd_committer 2007-06-07 11:50:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants to have py- PRs 

http://www.freebsd.org/cgi/query-pr.cgi?pr=113446 

Adding to audit trail from misfiled PR caught in spamtrap:

Date: Sun, 26 Aug 2007 05:53:05 -0700 (PDT)
Comment 3 Li-Wen Hsu freebsd_committer 2007-12-13 02:50:34 UTC
Responsible Changed
From-To: freebsd-python->lwhsu

I'll take it.
Comment 4 bf 2007-12-31 21:45:26 UTC
lwhsu       2007-12-31 21:45:21 UTC

  FreeBSD ports repository

  Modified files:
    textproc             Makefile 
  Added files:
    textproc/py-libtre   Makefile distinfo pkg-descr 
  Log:
  Add py-libtre 0.7.5, python interface for the tre regular expressions
  library.
  
  PR:             ports/113446
  Submitted by:   bf <bf2006a at yahoo.com>
  
  Revision  Changes    Path
  1.1208    +1 -0      ports/textproc/Makefile
  1.1       +38 -0     ports/textproc/py-libtre/Makefile (new)
  1.1       +3 -0      ports/textproc/py-libtre/distinfo (new)
  1.1       +14 -0     ports/textproc/py-libtre/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Li-Wen Hsu freebsd_committer 2007-12-31 21:51:14 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!